import * as WebSocket from 'ws';
import ClientBase from './clientBase';
import ClientManager from '../clientManager';
import ChannelManager from '../channelManager';

var logger = require('../logger');

class ServicesClient extends ClientBase {
  constructor(data: any, ws: WebSocket, channelManager: ChannelManager, clientManager: ClientManager) {
    super(data, ws, channelManager, clientManager);
    logger.accessLog.info('Service Client Created', {data: data});
  }
};

module.exports = ServicesClient;
export default ServicesClient;

